<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Admin Login</title>
    <link rel="icon" type="image/png" href="static/images/favicon.ico"/>
    <link rel="stylesheet" type="text/css" href="static/vendor/bootstrap/css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" href="static/fonts/font-awesome-4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" type="text/css" href="static/fonts/iconic/css/material-design-iconic-font.min.css">
    <link rel="stylesheet" type="text/css" href="static/vendor/animate/animate.css">
    <link rel="stylesheet" type="text/css" href="static/vendor/css-hamburgers/hamburgers.min.css">
    <link rel="stylesheet" type="text/css" href="static/vendor/animsition/css/animsition.min.css">
    <link rel="stylesheet" type="text/css" href="static/vendor/select2/select2.min.css">
    <link rel="stylesheet" type="text/css" href="static/vendor/daterangepicker/daterangepicker.css">
    <link rel="stylesheet" type="text/css" href="static/css/util.css">
    <link rel="stylesheet" type="text/css" href="static/css/main.css">

    <script src="static/vendor/jquery/jquery-3.2.1.min.js"></script>
</head>
<body>
	<div class="limiter">
		<div class="container-login100" style="background-image: url('/static/images/bg-01.jpg');">
			<div class="wrap-login100 p-l-55 p-r-55 p-t-60 p-b-45">
                <span class="login100-form-title p-b-49" style="font-size: 32px;">
                    Admin Login
                </span>

                <div class="wrap-input100 validate-input m-b-23">
                    <span class="label-input100">ID</span>
                    <input id="admin_id" class="input100" type="text" name="username" placeholder="Administrator ID">
                    <span class="focus-input100" data-symbol="&#xf206;"></span>
                </div>

                <div class="wrap-input100 validate-input" style="margin-bottom: 30px;">
                    <span class="label-input100">Password</span>
                    <input id="admin_pw" class="input100" type="password" name="pass" placeholder="Administrator Password">
                    <span class="focus-input100" data-symbol="&#xf190;"></span>
                </div>

                <div id="div_admin_msg" class="text-right p-t-8 p-b-31" style="font-size: 13px;"></div>

                <div class="container-login100-form-btn">
                    <div class="wrap-login100-form-btn">
                        <div class="login100-form-bgbtn"></div>
                        <button id="btn_login" class="login100-form-btn">
                            Login
                        </button>
                    </div>
                </div>
			</div>
		</div>
	</div>
</body>

<script>
    $(document).ready(function(){
        $('#admin_id').focus();
    })

    $(document).on('click', '#btn_login',function(){
        if($('#admin_id').val() == ''){alert('ID를 입력해주세요.'); return;}
        if($('#admin_pw').val() == ''){alert('Password를 입력해주세요.'); return;}

        data = {'admin_id':$('#admin_id').val(),
                'admin_pw':$('#admin_pw').val()
                }
        $.ajax({
            url:'/chk_admin',
            type:'POST',
            data:data,
            success:function(result){
                console.log(result);
                if(result=='not_id'){
                    $('#div_admin_msg').text('ID가 맞지 않습니다.');
                }else if(result=='not_pw'){
                    $('#div_admin_msg').text('Password가 맞지 않습니다.');
                }else{
                    alert('로그인성공')
                }
            },
            error:function(result){
                alert("로그인 실패")
                return true
            }
        })
    });

    $('#admin_id').keydown(function(key){
        if (key.keyCode == 13) {
            $('#admin_pw').focus();
        }
    });

    $('#admin_pw').keydown(function(key){
        if (key.keyCode == 13) {
            $('#btn_login').click();
        }
    });
</script>

</html>
